Get basic user information
GET
/service/userinfo/{username}
const url = 'https://example.com/api/v1/service/userinfo/example';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/service/userinfo/example \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”- JWTCookie
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
E-mail address of the user
Responses
Section titled “Responses”User info returned
Media typeapplication/json
object
ldap
Whether the user is linked to an LDAP object
boolean
Examplegenerated
{ "ldap": true}